Core - Task # 62408

Status: Resolved Priority: Should have
Author: Markus Klein Category: Install Tool
Created: 2014-10-22 Assigned To: Markus Klein
Updated: 2014-11-09 Due date: 2014-10-23
TYPO3 Version: 7

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Streamline UpgradeWizard code

Description

Related issues:
follows Core - Task # 62402: Prepare Updates for Version 7

Resolved 2014-10-22

Associated revisions

Revision 2ec47a87 - 2014-11-09 01:28 - Markus Klein

[CLEANUP] Streamline code in UpgradeWizard

- Correct naming of Updates (old name UpgradeWizards) and variables
- Use makelnstance instead of getUserObj
- Correct typehints

Resolves: #62408

Releases: master

Change-Id: lecae292eada373b20f963d3daa0412758d654e27
Reviewed-on: http://review.typo3.0rg/33478

Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History

#1 - 2014-10-22 22:20 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#2 - 2014-10-27 15:01 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#3 - 2014-10-27 15:03 - Gerrit Code Review
Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/33478

#4 - 2014-11-02 19:17 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#5 - 2014-11-04 01:42 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#6 - 2014-11-04 01:45 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/33478

#7 - 2014-11-04 02:32 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#8 - 2014-11-08 17:43 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33478

#9 - 2014-11-09 01:31 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2ec47a876c26610c683dc4de457291a15c68eb78.
